# Uses of Interface
org.eclipse.net4j.db.IDBConnectionProvider2

Packages that use IDBConnectionProvider2
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.

## Uses of IDBConnectionProvider2 in org.eclipse.net4j.db

Subinterfaces of IDBConnectionProvider2 in org.eclipse.net4j.db
Modifier and Type
Interface
Description
`interface`
`IDBDatabase`
Methods in org.eclipse.net4j.db that return IDBConnectionProvider2
Modifier and Type
Method
Description
`static IDBConnectionProvider2`
DBUtil.`createConnectionProvider(DataSource dataSource, String user)`